import request from '@/utils/request';

export async function queryCurrent(): Promise<any> {
  return request('/api/user', {
    method: 'POST'
  });
}

export async function queryCompany(params: object) {
  return request('/company/list', {
    method: 'POST',
    data: params
  });
}

export async function queryShop(params: object) {
  return request('/store/list', {
    method: 'POST',
    data: params
  });
}

export async function getCategory(params: object) {
  return request('/case-category/get-bak-category-by-parent-id', {
    method: 'POST',
    data: params
  });
}

export async function refreshToken(params: object) {
  return request('/login/freshtoken', {
    method: 'POST',
    data: params,
  });
}
